TLSRPT_ADD_MX_HOST_PATTERN(3)

NAME
tlsrpt_add_mx_host_pattern - adds a MX host pattern to the current policy

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_add_mx_host_pattern(struct tlsrpt_dr_t* dr, const char* mx_host_pattern)

DESCRIPTION

The tlsrpt_add_mx_host_pattern function adds a MX host pattern to the current policy. Multiple MX host patterns can be added within a policy.

RETURN VALUE

The tlsrpt_add_mx_host_pattern function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

tlsrpt_strerror(3), tlsrpt_error_code_is_internal(3)

AUTHOR(S)

Boris Lohner
    Author(s).